<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>MCUXpresso SDK API Reference Manual: SIM: System Integration Module Driver</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="fs_logo.gif"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">MCUXpresso SDK API Reference Manual
   &#160;<span id="projectnumber">Rev. 0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__sim.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">SIM: System Integration Module Driver</div>  </div>
</div><!--header-->
<div class="contents">
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>The MCUXpresso SDK provides a peripheral driver for the System Integration Module (SIM) of MCUXpresso SDK devices. </p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:structsim__uid__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sim.html#structsim__uid__t">sim_uid_t</a></td></tr>
<tr class="memdesc:structsim__uid__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unique ID.  <a href="group__sim.html#structsim__uid__t">More...</a><br/></td></tr>
<tr class="separator:structsim__uid__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gaee3ab150f9fa307e46e89e3fa96c824e"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sim.html#gaee3ab150f9fa307e46e89e3fa96c824e">_sim_usb_volt_reg_enable_mode</a> { <br/>
&#160;&#160;<a class="el" href="group__sim.html#ggaee3ab150f9fa307e46e89e3fa96c824ea6a5673cc751eae6d18312170da355ff8">kSIM_UsbVoltRegEnable</a> = SIM_SOPT1_USBREGEN_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__sim.html#ggaee3ab150f9fa307e46e89e3fa96c824ea17d19742ae6a9b1f244b3390e851f29f">kSIM_UsbVoltRegEnableInLowPower</a> = SIM_SOPT1_USBVSTBY_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__sim.html#ggaee3ab150f9fa307e46e89e3fa96c824ea088607a90c39948ece281f8d1dbb02ec">kSIM_UsbVoltRegEnableInStop</a> = SIM_SOPT1_USBSSTBY_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__sim.html#ggaee3ab150f9fa307e46e89e3fa96c824ea06a7e0f4760eeff5f4579497870e5b1d">kSIM_UsbVoltRegEnableInAllModes</a>
<br/>
 }</td></tr>
<tr class="memdesc:gaee3ab150f9fa307e46e89e3fa96c824e"><td class="mdescLeft">&#160;</td><td class="mdescRight">USB voltage regulator enable setting.  <a href="group__sim.html#gaee3ab150f9fa307e46e89e3fa96c824e">More...</a><br/></td></tr>
<tr class="separator:gaee3ab150f9fa307e46e89e3fa96c824e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaedab0f53d2713b72bbfafe450a4106eb"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sim.html#gaedab0f53d2713b72bbfafe450a4106eb">_sim_flash_mode</a> { <br/>
&#160;&#160;<a class="el" href="group__sim.html#ggaedab0f53d2713b72bbfafe450a4106eba591a1948255aa353bc94c638d3dabf4e">kSIM_FlashDisableInWait</a> = SIM_FCFG1_FLASHDOZE_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__sim.html#ggaedab0f53d2713b72bbfafe450a4106ebafd17678862cb1b8f673163c3ed1607a8">kSIM_FlashDisable</a> = SIM_FCFG1_FLASHDIS_MASK
<br/>
 }</td></tr>
<tr class="memdesc:gaedab0f53d2713b72bbfafe450a4106eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flash enable mode.  <a href="group__sim.html#gaedab0f53d2713b72bbfafe450a4106eb">More...</a><br/></td></tr>
<tr class="separator:gaedab0f53d2713b72bbfafe450a4106eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga3a3558c38a6ebdbeceb3609777f67039"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sim.html#ga3a3558c38a6ebdbeceb3609777f67039">SIM_SetUsbVoltRegulatorEnableMode</a> (uint32_t mask)</td></tr>
<tr class="memdesc:ga3a3558c38a6ebdbeceb3609777f67039"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the USB voltage regulator setting.  <a href="#ga3a3558c38a6ebdbeceb3609777f67039">More...</a><br/></td></tr>
<tr class="separator:ga3a3558c38a6ebdbeceb3609777f67039"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3691d99318793509be2fdc198ec7fd9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sim.html#ga3691d99318793509be2fdc198ec7fd9e">SIM_GetUniqueId</a> (<a class="el" href="group__sim.html#structsim__uid__t">sim_uid_t</a> *uid)</td></tr>
<tr class="memdesc:ga3691d99318793509be2fdc198ec7fd9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the unique identification register value.  <a href="#ga3691d99318793509be2fdc198ec7fd9e">More...</a><br/></td></tr>
<tr class="separator:ga3691d99318793509be2fdc198ec7fd9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac4bdb850b3c3da318546b4256d6a9500"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sim.html#gac4bdb850b3c3da318546b4256d6a9500">SIM_SetFlashMode</a> (uint8_t mode)</td></tr>
<tr class="memdesc:gac4bdb850b3c3da318546b4256d6a9500"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the flash enable mode.  <a href="#gac4bdb850b3c3da318546b4256d6a9500">More...</a><br/></td></tr>
<tr class="separator:gac4bdb850b3c3da318546b4256d6a9500"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Driver version</h2></td></tr>
<tr class="memitem:gacb13397b376d47937487ba3c72e7e89e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gacb13397b376d47937487ba3c72e7e89e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sim.html#gacb13397b376d47937487ba3c72e7e89e">FSL_SIM_DRIVER_VERSION</a>&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 0, 0))</td></tr>
<tr class="memdesc:gacb13397b376d47937487ba3c72e7e89e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Driver version 2.0.0. <br/></td></tr>
<tr class="separator:gacb13397b376d47937487ba3c72e7e89e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="structsim__uid__t" id="structsim__uid__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct sim_uid_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"></div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:a8a9d28271e85bc94589c4b92ee7a295f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sim.html#a8a9d28271e85bc94589c4b92ee7a295f">MH</a></td></tr>
<tr class="memdesc:a8a9d28271e85bc94589c4b92ee7a295f"><td class="mdescLeft">&#160;</td><td class="mdescRight">UIDMH.  <a href="#a8a9d28271e85bc94589c4b92ee7a295f">More...</a><br/></td></tr>
<tr class="separator:a8a9d28271e85bc94589c4b92ee7a295f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05017c1c227e414873909db10b99bf26"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sim.html#a05017c1c227e414873909db10b99bf26">ML</a></td></tr>
<tr class="memdesc:a05017c1c227e414873909db10b99bf26"><td class="mdescLeft">&#160;</td><td class="mdescRight">UIDML.  <a href="#a05017c1c227e414873909db10b99bf26">More...</a><br/></td></tr>
<tr class="separator:a05017c1c227e414873909db10b99bf26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7412e8311468eed8eb02dcdc4d239dd"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__sim.html#af7412e8311468eed8eb02dcdc4d239dd">L</a></td></tr>
<tr class="memdesc:af7412e8311468eed8eb02dcdc4d239dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">UIDL.  <a href="#af7412e8311468eed8eb02dcdc4d239dd">More...</a><br/></td></tr>
<tr class="separator:af7412e8311468eed8eb02dcdc4d239dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h4 class="groupheader">Field Documentation</h4>
<a class="anchor" id="a8a9d28271e85bc94589c4b92ee7a295f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t sim_uid_t::MH</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a05017c1c227e414873909db10b99bf26"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t sim_uid_t::ML</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="af7412e8311468eed8eb02dcdc4d239dd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t sim_uid_t::L</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="gaee3ab150f9fa307e46e89e3fa96c824e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__sim.html#gaee3ab150f9fa307e46e89e3fa96c824e">_sim_usb_volt_reg_enable_mode</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="ggaee3ab150f9fa307e46e89e3fa96c824ea6a5673cc751eae6d18312170da355ff8"></a>kSIM_UsbVoltRegEnable</em>&nbsp;</td><td class="fielddoc">
<p>Enable voltage regulator. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaee3ab150f9fa307e46e89e3fa96c824ea17d19742ae6a9b1f244b3390e851f29f"></a>kSIM_UsbVoltRegEnableInLowPower</em>&nbsp;</td><td class="fielddoc">
<p>Enable voltage regulator in VLPR/VLPW modes. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaee3ab150f9fa307e46e89e3fa96c824ea088607a90c39948ece281f8d1dbb02ec"></a>kSIM_UsbVoltRegEnableInStop</em>&nbsp;</td><td class="fielddoc">
<p>Enable voltage regulator in STOP/VLPS/LLS/VLLS modes. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaee3ab150f9fa307e46e89e3fa96c824ea06a7e0f4760eeff5f4579497870e5b1d"></a>kSIM_UsbVoltRegEnableInAllModes</em>&nbsp;</td><td class="fielddoc">
<p>Enable voltage regulator in all power modes. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gaedab0f53d2713b72bbfafe450a4106eb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__sim.html#gaedab0f53d2713b72bbfafe450a4106eb">_sim_flash_mode</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="ggaedab0f53d2713b72bbfafe450a4106eba591a1948255aa353bc94c638d3dabf4e"></a>kSIM_FlashDisableInWait</em>&nbsp;</td><td class="fielddoc">
<p>Disable flash in wait mode. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaedab0f53d2713b72bbfafe450a4106ebafd17678862cb1b8f673163c3ed1607a8"></a>kSIM_FlashDisable</em>&nbsp;</td><td class="fielddoc">
<p>Disable flash in normal mode. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga3a3558c38a6ebdbeceb3609777f67039"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SIM_SetUsbVoltRegulatorEnableMode </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function configures whether the USB voltage regulator is enabled in normal RUN mode, STOP/VLPS/LLS/VLLS modes, and VLPR/VLPW modes. The configurations are passed in as mask value of <a class="el" href="group__sim.html#gaee3ab150f9fa307e46e89e3fa96c824e">_sim_usb_volt_reg_enable_mode</a>. For example, to enable USB voltage regulator in RUN/VLPR/VLPW modes and disable in STOP/VLPS/LLS/VLLS mode, use:</p>
<p>SIM_SetUsbVoltRegulatorEnableMode(kSIM_UsbVoltRegEnable | kSIM_UsbVoltRegEnableInLowPower);</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mask</td><td>USB voltage regulator enable setting. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga3691d99318793509be2fdc198ec7fd9e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SIM_GetUniqueId </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__sim.html#structsim__uid__t">sim_uid_t</a> *&#160;</td>
          <td class="paramname"><em>uid</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uid</td><td>Pointer to the structure to save the UID value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac4bdb850b3c3da318546b4256d6a9500"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SIM_SetFlashMode </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mode</td><td>The mode to set; see <a class="el" href="group__sim.html#gaedab0f53d2713b72bbfafe450a4106eb">_sim_flash_mode</a> for mode details. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
